Skip to main content

Link care context on confirm

Share the response of the /api/hiecm/user-initiated-linking/v3/link/care-context/on-confirm API.

POST/api/hiecm/user-initiated-linking/v3/link/care-context/on-confirm

By using this API, the HIP communicates the outcome of the care context confirmation process, ensuring that the system accurately reflects the status of the operation. This process is essential for maintaining the integrity and synchronization of patient health records, supporting seamless and efficient health information exchange within the healthcare ecosystem.

In case of success scenario, patient object is mandatory and error object is optional

In case of error scenario, error object is mandatory and patient object is optional

Response is mandatory in both scenarios

Authorizations

Authorizationbearer tokenRequired

The access token from POST /api/hiecm/gateway/v3/sessions, sent with a Bearer prefix.

Headers

REQUEST-IDstringRequired

Unique UUID for track the end to end request transaction

TIMESTAMPstringRequired

Actual time of the request was initiated, ISO 8601 represents date and time by starting with the year, followed by the month, the day, the hour, the minutes, seconds and milliseconds

X-CM-IDstringRequired

Suffix of the consent manager to which the request was intended

Body

patientobject[]Required
patient.referenceNumberstringRequired

A patient identifier with which patient is registered in the facility/hospital.Allows alpha numeric characters and special characters like "^[a-zA-Z0-9_\\-@,. ()/:\\\\]{0,255}$"

patient.displaystringRequired

Display text for patient reference. Allows alpha numeric characters and special characters like "^[a-zA-Z0-9_\\-@,. \"':|()/]{0,255}$"

patient.careContextsobject[]Required

List of care contexts linked at the HIP end for the identified patient.

patient.careContexts.referenceNumberstringRequired

An identifier of patient's care context created in HIP. A care context is a group of patient's health data (Not the actual health data).Allows alpha numeric characters and special characters like "^[a-zA-Z0-9_\\-@,. ()/:\\\\]{0,255}$"

patient.careContexts.displaystringRequired

Display text for care context reference. Allows alpha numeric characters and special characters like "^[a-zA-Z0-9_\\-@,. \"':|()/]{0,255}$"

patient.hiTypestringRequired

The health information type

One of DiagnosticReportDischargeSummaryHealthDocumentRecordImmunizationRecordOPConsultationPrescriptionWellnessRecordInvoice

patient.countintegerRequired

The count should match the number of care contexts in the payload

errorobject

The error code and message, if any occurred.

error.codestringRequired

ABDM-1001 - No data found. May be returned either bare (ABDM-1001) or with a trailing ": " separator (ABDM-1001: ); match on the code itself and tolerate the separator.

error.messagestringRequired

The appropriate error message

responseobjectRequired

The request id is from the link/confirm callback. Allows alpha numeric characters and special characters like "^[0-9a-fA-F]{8}\b-[0-9a-fA-F]{4}\b-[0-9a-fA-F]{4}\b-[0-9a-fA-F]{4}\b-[0-9a-fA-F]{12}"

response.requestIdstringRequired

The request id that was passed

Responses

400

Bad Request

Error codes for this module

errorobject

The error code and message, if any occurred.

error.codestringRequired

ABDM-1108 - Notification DB service unavailable. May be returned either bare (ABDM-1108) or with a trailing ": " separator (ABDM-1108: ); match on the code itself and tolerate the separator.

error.messagestringRequired
401

Unauthorized

Everything returns 401

codestring

900901 - Invalid Credentials. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator.

messagestring
descriptionstring
500

Internal Server Error

Error codes for this module

timestampnumberRequired
pathstringRequired
statusintegerRequired
errorstringRequired

The error code and message, if any occurred.

requestIdstringRequired

Callbacks​

  • You make this call in reply to This API endpoint is used to confirm the linking of care contexts for a patient. It allows healthcare information providers (HIPs) to verify the linking process using a confirmation token., which ABDM posts to /api/v3/hip/link/care-context/confirm. Open the callback.